body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

nav {
    background-color: #333;
    padding: 0.5em;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav .left-section, nav .right-section {
    display: flex;
    align-items: center;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin: 0;
    padding: 0;
    color: white;
    text-decoration: none;
    padding: 0.75em 1em;
    display: block;
}

nav .logo {
    height: 44px;
    width: 30px;
    margin-right: 1em;
}
nav .sign {
    height: 20px;
    width: 29px;
}

nav .right-section img {
    margin-left: 1em;
}

nav .right-section {
    color: white;
    font-size: xx-small; 
}

h2 {
    text-align: center;
}
div .main {
    margin: 0 auto;
    text-align: center;
}
div .login {
    margin: auto;
    width: 300px;
    text-align: center;
}
label {
    font-size: 12px;
}
input {
    border: none;
    padding: 10px;
    background-color: rgb(129, 196, 129);
    font-size: 16px; 
}
button {
    color: white; /* Barva textu tlačítka */
    background-color: black; /* Barva pozadí tlačítka */
    font-size: 16px; /* Velikost textu tlačítka */
    padding: 10px;
    border: none;
    cursor: pointer;
}
.button {
    display: inline-block;
    background-color: green; /* Zelená barva */
    margin: 2px 0px;
    color: white;
    text-decoration: none;
    padding: 5px 5px;
    font-size: 12px;
    font-weight: bold; 
    border-radius: 2px;
    transition: background-color 0.3s ease, transform 0.2s ease;
}

.button:hover {
    background-color: #6c757d; /* Šedá barva */
    transform: scale(1.05); /* Mírné zvětšení */
}

.button:active {
    background-color: #555; /* Tmavší šedá barva */
    transform: scale(0.95); /* Mírné zmenšení při kliknutí */
}

/* Styl pro pevný footer */
#footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    color: white;          /* Světlý text */
    background-color: #333; /* Tmavé pozadí */
    display: flex;         /* Flexbox pro rozložení */
    justify-content: space-between; /* Rozložení na levou a pravou stranu */
    align-items: center;   /* Vertikální zarovnání obsahu */
    padding: 2px;    /* Vnitřní odsazení */
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

.footer-left {
    text-align: left;
    padding-left: 5px;
    font-size: x-small;
    color: white;          /* Světlý text */
}
.footer-right {
    text-align: right;
}

.footer-logo {
    height: 10px; /* Výška loga */
    max-width: 100px; /* Maximální šířka loga */
    margin-right: 20px;
}